Docs
Invocations API Reference
This section covers all endpoints related to invocations.
Get Usage
Get aggregated usage data, which is the amount of revenue we would be receiving if no usage was free.
GET/invocations/usage
API
Code Examples
curl -X GET "https://api.chutes.ai/invocations/usage"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
Get Llm Stats
GET/invocations/stats/llm
API
Code Examples
curl -X GET "https://api.chutes.ai/invocations/stats/llm"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
Get Diffusion Stats
GET/invocations/stats/diffusion
API
Code Examples
curl -X GET "https://api.chutes.ai/invocations/stats/diffusion"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
Get Export
Get invocation exports (and reports) for a particular hour.
GET/invocations/exports/{year}/{month}/{day}/{hour_format}
API
Code Examples
curl -X GET "https://api.chutes.ai/invocations/exports/{year}/{month}/{day}/{hour_format}"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| year | integer | Yes | |
| month | integer | Yes | |
| day | integer | Yes | |
| hour_format | string | Yes |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Get Recent Export
Get an export for recent data, which may not yet be in S3.
GET/invocations/exports/recent
API
Code Examples
curl -X GET "https://api.chutes.ai/invocations/exports/recent"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| hotkey | string | null | No | |
| limit | integer | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Report Invocation
POST/invocations/{invocation_id}/report
API
Code Examples
curl -X POST "https://api.chutes.ai/invocations/{invocation_id}/report"
-H "Content-Type: application/json"
-d '{}'Request Configuration
Authorization
Request Body
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| invocation_id | string | Yes | |
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| reason | string | Yes |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.